package com.ruoyi.platform.service;


import com.ruoyi.platform.domain.ComputingResource;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (ComputingResource)表服务接口
 *
 * @author Xidaray
 * @since 2023-11-29 14:23:01
 */
public interface ComputingResourceService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ComputingResource queryById(Integer id);

    /**
     * 分页查询
     *
     * @param computingResource 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<ComputingResource> queryByPage(ComputingResource computingResource, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param computingResource 实例对象
     * @return 实例对象
     */
    ComputingResource insert(ComputingResource computingResource);

    /**
     * 修改数据
     *
     * @param computingResource 实例对象
     * @return 实例对象
     */
    ComputingResource update(ComputingResource computingResource);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    String removeById(Integer id) throws Exception;

}
